Bug 498744 - Review Request: grfcodec - A suite of programs to modify Transport Tycoon Deluxe's GRF files
Review Request: grfcodec - A suite of programs to modify Transport Tycoon Del...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 491519
  Show dependency treegraph
 
Reported: 2009-05-02 13:43 EDT by Iain Arnell
Modified: 2009-05-18 22:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.9.11-0.2.r2111.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 23:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-02 13:43:50 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/grfcodec.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/grfcodec-0.9.11-0.1.r2111.fc12.src.rpm

Description:
A suite of programs to modify Transport Tycoon Deluxe's GRF files.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1333271
Comment 1 Hans de Goede 2009-05-03 10:48:42 EDT
Hi,

FULL review done, here are the results:

MUST FIX:
-add comments how *exactly* to generate the tarbal from svn
-License should be GPLv2+
-Patch Makefile to not pass -O3 to gcc, that is not part of the default
 Fedora CFLAGS

Should FIX:
-Preserve timestamps of docs while converting them, replace:
    iconv -f iso8859-1 -t utf-8 $f >$f.conv && mv $f.conv $f
  with:
    iconv -f iso8859-1 -t utf-8 $f >$f.conv
    touch -r $f $f.conv
    mv $f.conv $f
-Is the BuildRequires: subversion really needed ?
Comment 2 Iain Arnell 2009-05-03 11:54:51 EDT
Dank je wel, Hans.

All issues should be addressed now, both MUST and SHOULD.

Spec URL: http://fedorapeople.org/~iarnell/review/grfcodec.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/grfcodec-0.9.11-0.2.r2111.fc12.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1334072
Comment 3 Hans de Goede 2009-05-05 03:34:59 EDT
(In reply to comment #2)
> Dank je wel, Hans.
> 
> All issues should be addressed now, both MUST and SHOULD.
> 
> Spec URL: http://fedorapeople.org/~iarnell/review/grfcodec.spec
> SRPM URL:
> http://fedorapeople.org/~iarnell/review/grfcodec-0.9.11-0.2.r2111.fc12.src.rpm
> 
> Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1334072  

All looks good now: approved!
Comment 4 Iain Arnell 2009-05-05 03:44:22 EDT
New Package CVS Request
=======================
Package Name: grfcodec
Short Description: A suite of programs to modify Transport Tycoon Deluxe's GRF files
Owners: iarnell
Branches: F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-05-06 17:05:25 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-06 23:33:13 EDT
grfcodec-0.9.11-0.2.r2111.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/grfcodec-0.9.11-0.2.r2111.fc11
Comment 7 Fedora Update System 2009-05-06 23:33:18 EDT
grfcodec-0.9.11-0.2.r2111.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/grfcodec-0.9.11-0.2.r2111.fc10
Comment 8 Iain Arnell 2009-05-06 23:44:17 EDT
Thanks for the review! :-)
Comment 9 Fedora Update System 2009-05-18 22:10:22 EDT
grfcodec-0.9.11-0.2.r2111.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-18 22:12:19 EDT
grfcodec-0.9.11-0.2.r2111.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.